import request from '@/utils/request'

// 查询消息配置列表
export function listMessageConfig(query) {
    return request({
        url: '/mapi/system/messageConfig/list',
        method: 'get',
        params: query
    })
}

// 查询消息配置详细
export function getMessageConfig(id) {
    return request({
        url: '/mapi/system/messageConfig/' + id,
        method: 'get'
    })
}

// 新增消息配置
export function addMessageConfig(data) {
    return request({
        url: '/mapi/system/messageConfig',
        method: 'post',
        data: data
    })
}

// 修改消息配置
export function updateMessageConfig(data) {
    return request({
        url: '/mapi/system/messageConfig',
        method: 'put',
        data: data
    })
}

// 删除消息配置
export function delMessageConfig(id) {
    return request({
        url: '/mapi/system/messageConfig/' + id,
        method: 'delete'
    })
}


// 修改消息配置状态
export function updateMessageConfigStatus(id,status) {
    const data = {
        id,
        status
    }
    return request({
        url: '/mapi/system/messageConfig/updateStatus',
        method: 'post',
        data: data
    })
}